WordPressには2.5からプラグインの自動アップグレードが付いて便利になりましたが、1つ問題を発見。それはプラグインの中の.htaccessが展開されないということ。

先日、Script Compressor を公開したわけですが、その中に .htaccess が入っており、自動アップグレードした場合に消えてなくなっていたのです。多分ドットで始まるファイルは転送しないようになっているのでしょうか。

そんな訳で .htaccess を使わないように書き換えて対応したわけですが、かなり不便です。

しかし、これが環境依存なのか分からないのです。ざっとソースを見てみると特に判別はしてなさそうなのが気になります。この問題も追求する必要がありそうです・・・

Did you find this information helpful? If you did, consider donating.